## python-lockfile 0.8

=== debian/changelog ===
python-lockfile (1:0.8-2ubuntu2) trusty; urgency=medium

  * No change rebuild to drop files in /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Feb 2014 07:36:47 +0100

python-lockfile (1:0.8-2ubuntu1) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 14:19:18 +0000

python-lockfile (1:0.8-2) unstable; urgency=low

  * The “Slow mind” release.
  * Revert to upstream version 0.8, since version 0.9 should not have been
    made available and upstream is currently unresponsive.
    (Closes: bug#581061)
  * debian/control:
    + Declare “Standards-Version: 3.9.0”. No further changes needed.
    + Alter description to correctly describe version 0.8.
  * debian/pyversions:
    + This older version supports Python 2.4 or later; declare it.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 29 Jun 2010 09:37:38 +1000

python-lockfile (0.9-2) unstable; urgency=low

  * The “Sax flute fun” release.
  * debian/control:
    + Set “Priority: optional” to allow other common packages to depend on
      this one.
    + Update the package description to better match the new capabilities.
  * debian/pyversions:
    + This version requires Python 2.5 or later; declare it.
      (Closes: Bug#580937)

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 10 May 2010 10:19:07 +1000

python-lockfile (0.9-1) unstable; urgency=low

  * The “Euclid” release.
  * New upstream version. Highlight since last release:
    + Reorganise library into a package.
    + API names changed for classes:
      LinkLockFile
      MkdirLockFile
      SQLiteLockFile
    + New lockfile class ‘PIDLockFile’.
  * debian/control:
    + Declare “Standards-Version: 3.8.4”. No further changes needed.
    * Drop ‘Provides’ field, since a Python-versioned dependency should
      not be necessary (ref. ‘python-support’ documentation).
  * debian/source/format:
    + Declare source package format.
  * debian/watch:
    + Detect source files when upstream moves them to a different provider.

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 28 Apr 2010 18:54:54 +1000

python-lockfile (0.8-1) unstable; urgency=low

  * New upstream release (Closes: Bug#539181):
    + Works around a bug in the Python ‘threading’ module.
  * debian/control, debian/rules:
    + Use nicer override handling from later ‘debhelper’ version.
    + Switch to ‘python-support’ for Python packaging.
  * debian/control:
    + Update to ‘Standards-Version: 3.8.2’, no changes required.
    + Set ‘Vcs-*’ fields to point to active repository.

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 30 Jul 2009 09:58:51 +1000

python-lockfile (0.7-4) unstable; urgency=low

  * Thanks to Julian Andres Klode for feedback that improved this release.
  * debian/control:
    + Relax ‘Build-Depends’, don't need the full Python build environment.
  * debian/copyright:
    + License patches under same terms as the upstream work.
  * debian/rules, debian/docs:
    + Install upstream ‘RELEASE-NOTES’ as a changelog equivalent.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sat, 07 Mar 2009 01:09:02 +1100

python-lockfile (0.7-3) unstable; urgency=low

  * debian/copyright:
    + Remove comment leaders from license grant text.

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 05 Mar 2009 08:12:09 +1100

python-lockfile (0.7-2) unstable; urgency=low

  * debian/rules:
    + Tell python-central to clean up properly during prerm.

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 04 Mar 2009 19:35:32 +1100

python-lockfile (0.7-1) unstable; urgency=low

  * Initial release (Closes: Bug#517666).

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 01 Mar 2009 22:57:01 +1100
