=== debian/control ===
Source: python-lockfile
Priority: optional
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
Section: python
Homepage: http://pypi.python.org/pypi/lockfile
VCS-bzr: http://bzr.debian.org/bzr/collab-maint/python-lockfile/python-lockfile.debian/
VCS-Browser: http://bzr.debian.org/loggerhead/collab-maint/python-lockfile/python-lockfile.debian/
Build-Depends: debhelper (>= 7.0.50),
    python (>= 2.6.6-3~)
Standards-Version: 3.9.0

Package: python-lockfile
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: file locking library for Python
 The ‘lockfile’ module exports a ‘FileLock’ class which provides a
 simple API for locking files.
 .
 The appropriate implementation for ‘FileLock’ is chosen automatically
 based on the OS capabilities for an atomic filesystem operation.
 These implementations are also available for explicit use as
 ‘LinkFileLock’ and ‘MkdirFileLock’.
 .
 Other back ends are possible with the same semantics; an example
 provided is ‘SQLiteFileLock’.
 .
 Unlike other Python locking libraries (the Windows ‘msvcrt.locking’
 function, the Unix ‘fcntl.flock’, ‘fcntl.lockf’, and the deprecated
 ‘posixfile’ module), the API is identical across both Unix (including
 GNU/Linux and MacOS) and Windows platforms.
