=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules
#
# Copyright © 2009 Ben Finney <ben@benfinney.id.au>
# This is free software; you may copy, modify, and/or distribute this
# work under the terms of the GNU General Public License, version 2 or
# later. No warranty expressed or implied.
# See the file ‘/usr/share/common-licenses/GPL-2’ for details.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DOC_SRC_DIR = doc
DOC_HTML_DIR = doc/html

SPHINX_BUILD = sphinx-build


.PHONY: build
build: dist-build doc-build

dist-build:
	dh build --with=python2

doc-build: dist-build
	### Docs don't build yet.
	### $(SPHINX_BUILD) ${DOC_SRC_DIR} ${DOC_HTML_DIR}

.PHONY: clean
clean:
	dh clean --with=python2

.PHONY: install
install: build
	dh install --with=python2

.PHONY: binary-indep
binary-indep: build install
	dh binary-indep --with=python2

.PHONY: binary-arch
binary-arch: build install

.PHONY: binary
binary: build binary-indep binary-arch

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs RELEASE-NOTES


# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :
