=== debian/watch ===
# debian/watch
# Debian uscan file for ‘python-lockfile’ package.
# Manpage: uscan(1)

# Compulsory line, this is a version 3 file.
version=3

# Current version from Python Package Index.
http://pypi.python.org/pypi/lockfile \
    http://.+/lockfile-(.+).tar.gz
