## python-lockfile 0.10.2

=== debian/changelog ===
python-lockfile (1:0.10.2-2) unstable; urgency=low

  * The “Jabbeur Mejri” release.
  * debian/NEWS:
    * Jessie has released, the freeze is ended; resume our uploads to
      “unstable”.
  * debian/copyright:
    * Update copyright notices.
    * Update copyright information for transfer of upstream maintainer.
    * Remove grant of license from “License” fields.
  * debian/control, debian/rules, debian/*.install:
    * Rely on ‘pybuild’ to find the files for install.
      Remove obsolete ‘*.install’ files.
    * Use Nose test runner for this package's tests.
      Add ‘python{,3}-nose’ to Build-Depends.
  * debian/rules:
    * Discard HTTP traffic during packaging actions.
    * Use a catch-all target for all Policy-required targets.
  * debian/watch:
    * Add editor hints.
    * Switch from defunct source API to Debian-maintained mirror.
  * debian/clean:
    * Clean the documentation build directory.
  * debian/patches/001.doctests-compatible-py2and3.patch:
    * Patch doctests to be compatible with both Python 2 and Python 3.

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 21 May 2015 05:57:57 +1000

python-lockfile (1:0.10.2-1) experimental; urgency=low

  * The “Marthe Gautier” release.
  * New upstream version. (Closes: bug#738837)
    Highlights since last release:
    * The ‘lockfile’ module is now reorganized into a package.
    * Renamed the lockfile classes. New names: ‘LinkLockFile’,
      ‘MkdirLockFile’, ‘SQLiteLockFile’.
    * New lockfile class, ‘PIDLockFile’.
    * Remove support for Python versions earlier than 2.6.
    * Add support for Python 3.2 – 3.4.
  * debian/NEWS:
    * Add a news entry to notify of the API compatibility breakage.
  * debian/control:
    * Update “VCS-*” fields for current Alioth layout.
    * Declare “Standards-Version: 3.9.6”.
    * Update package description to incorporate upstream changes.
    * Update build requirements to incorporate upstream changes.
  * debian/watch:
    * Refine watch configuration for current upstream release location.
  * debian/rules:
    * License Debian packaging work under Expat terms.
    * Add distinct targets for ‘…-arch’ and ‘…-indep’ (as recommended by
      Policy §4.9).
    * Add ‘get-orig-source’ target (as recommended by Policy §4.9) and
      ‘get-packaged-orig-source’ target.
  * debian/rules, debian/control, debian/compat, debian/*.install:
    * Increase minimum Debhelper version to support new build targets.
    * Switch to ‘pybuild’ packaging helper.
    * Build packages targeting both Python 2 and Python 3.
  * debian/pyversions, debian/control:
    * Use current Python versions in Debian.
  * debian/copyright:
    * Conform to copyright format version 1.0.
    * Update copyright notices.
  * debian/bzr-builddeb.conf:
    * Add this package's configuration for ‘bzr builddeb’.
  * debian/control, debian/python-lockfile-doc.docs:
    * Install API documentation.
    * Separate API documentation into a new package.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sat, 20 Dec 2014 22:25:29 +1100
