=== debian/control ===
Source: python-lockfile
Priority: optional
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
Section: python
Homepage: http://pypi.python.org/pypi/lockfile
VCS-bzr: http://anonscm.debian.org/bzr/collab-maint/pkg-python-lockfile/trunk/
VCS-Browser: http://anonscm.debian.org/loggerhead/collab-maint/pkg-python-lockfile/trunk/
Build-Depends:
    debhelper (>= 9~),
    dh-python,
    python3-pbr,
    python3-nose,
    python3,
    python-pbr,
    python-nose,
    python
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-lockfile
Architecture: all
Depends:
    ${python:Depends},
    ${misc:Depends}
Suggests: python-lockfile-doc
Description: file locking library for Python — Python 2 library
 The ‘lockfile’ library exports a ‘LockFile’ class which provides a
 simple API for locking files.
 .
 The appropriate implementation for ‘LockFile’ is chosen automatically
 based on the OS capabilities for an atomic filesystem operation.
 These implementations are also available for explicit use as
 ‘LinkLockFile’ and ‘MkdirLockFile’.
 .
 Other back ends are possible with the same semantics; an example
 provided is ‘SQLiteFileLock’.
 .
 Unlike other Python locking libraries (the Windows ‘msvcrt.locking’
 function, the Unix ‘fcntl.flock’, ‘fcntl.lockf’, and the deprecated
 ‘posixfile’ module), the API is identical across both Unix (including
 GNU/Linux and MacOS) and Windows platforms.
 .
 This package installs the Python 2 library.

Package: python3-lockfile
Architecture: all
Depends:
    ${python3:Depends},
    ${misc:Depends}
Suggests: python-lockfile-doc
Description: file locking library for Python — Python 3 library
 The ‘lockfile’ library exports a ‘LockFile’ class which provides a
 simple API for locking files.
 .
 The appropriate implementation for ‘LockFile’ is chosen automatically
 based on the OS capabilities for an atomic filesystem operation.
 These implementations are also available for explicit use as
 ‘LinkLockFile’ and ‘MkdirLockFile’.
 .
 Other back ends are possible with the same semantics; an example
 provided is ‘SQLiteFileLock’.
 .
 Unlike other Python locking libraries (the Windows ‘msvcrt.locking’
 function, the Unix ‘fcntl.flock’, ‘fcntl.lockf’, and the deprecated
 ‘posixfile’ module), the API is identical across both Unix (including
 GNU/Linux and MacOS) and Windows platforms.
 .
 This package installs the Python 3 library.

Package: python-lockfile-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: python-lockfile
Description: file locking library for Python — documentation
 The ‘lockfile’ library exports a ‘LockFile’ class which provides a
 simple API for locking files.
 .
 This package installs the plain-text API documentation.
