## python-lockfile 0.12.2

=== debian/changelog ===
python-lockfile (1:0.12.2-3) unstable; urgency=medium

  * Specify current VCS for Debian packaging work.
  * Grant license in Debian packaging files under terms of GNU GPL 3 or later.
  * debian/gbp.conf:
    * Update for current packaging source maintenance workflow.
  * Document the current packaging source maintenance workflow.
  * Override false positive Lintian check for VCS-* field names.
  * Declare conformance to “Standards-Version: 4.6.2”.
  * Declare Debhelper compatibility level 13.
  * debian/compat:
    * Remove obsolete configuration file.
  * debian/watch:
    * Update UScan configuration format to version 4.
  * Remove ‘get-orig-source’ and ‘get-packaged-orig-source’ targets.
    These are no longer mentioned in Debian Policy 4.1.4 and later.
  * debian/tests/:
    * Remove AutoPkgTest for Python 2 package.
  * Stop building the Python 2 package.
  * Explicitly declare build system for PyBuild.
  * Remove specification of ancient minimum Python version.
  * Specify the package build system does not require root privilege.
  * Declare upstream metadata in DEP-12 format.
  * Explicitly mark a superficial AutoPkgTest case.
  * Use only supported Python versions in the AutoPkgTest.
  * Use external package ‘python3-package-smoke-test’ for AutoPkgTest.
    Closes: bug#1040853. Thanks to Matthias Klose for the report.
  * debian/tests/smoke_test.py:
    * Remove unused test helper module, now migrated to external package.

 -- Ben Finney <bignose@debian.org>  Fri, 21 Jul 2023 19:03:46 +1000

python-lockfile (1:0.12.2-2) unstable; urgency=medium

  * The “Tuğçe Albayrak” release.
  * Acknowledge non-maintainer upload “1:0.10.2-2.1”.
    Thanks, Neil Williams.
  * debian/*:
    Update my email address for Debian work.
  * debian/copyright:
    * Update copyright notices.
    * Distinguish license conditions from license grants.
    * Document explicit additional grant of license to a file.
    * Document copyright information for smoke tests.
  * debian/tests/smoke_test.py:
    * Add smoke test suite to verify distribution is installed.
  * debian/tests/control, debian/tests/smoke-python{2,3}:
    * Add smoke test suite to verify distribution is installed.
  * debian/control, debian/bzr-buildpackage.conf, debian/gbp.conf:
    * Migrate packaging VCS to Git at NotABug.
    * Remove superfluous configuration for Bzr-buildpackage.
    * Add configuration for Git-buildpackage.
  * debian/README.source:
    * Document how the source package is built.
  * debian/control:
    * Declare “Standards-Version: 3.9.8”.
    * Declare versioned build dependency on ‘pbr’ library,
      to match upstream build system's declaration.
      Closes: bug#834626, thanks to Thomas Goirand for the report.

 -- Ben Finney <bignose@debian.org>  Sun, 21 Aug 2016 15:59:20 +1000

python-lockfile (1:0.12.2-1) unstable; urgency=medium

  * The “Khalil Ahmad” release.
  * New upstream version.
    Highlights since last release:
    * Minimum Python 2 version is now 2.7.
  * debian/control:
    * Declare “Standards-Version: 3.9.7”.
    * Add “Build-Depends: python{,3}-setuptools” for the Distutils script.
      Closes: bug#789825, thanks to Artur Rona for the report.
    * Update package description to accurately describe latest behaviour.
    * Add build dependencies for all supported Python environments.
    * Add dependencies for building Sphinx documentation.
    * Add placeholder for Sphinx documentation binary dependencies.
    * Set compatible Python 2 versions to “>= 2.7”.
    * Set “VCS-*” fields to URLs for encrypted Alioth services.
    * Set “Homepage” field to URL for encrypted PyPI service.
  * debian/docs, debian/*.docs:
    * Move to package-specific ‘dh_installdocs’ configuration files.
    * Follow change of document name ‘README’ → ‘README.rst’.
    * Add new upstream ‘AUTHORS’ document.
  * debian/rules:
    * Upstream changelog now has conventional name, remove special handling.
    * Build documentation using upstream Sphinx configuration.
    * Use Debhelper to refine Sphinx documentation for package.
  * debian/clean, debian/rules:
    * Remove ‘dh_clean’ configuration, can't remove directories this way.
      Add special handling for ‘doc/html/’ in ‘dh_auto_clean’ override.
  * debian/python-lockfile-doc.{docs,doc-base}:
    * Install generated API documentation.
  * debian/copyright:
    * Add known email addresses for all parties.
    * Add editor hints.
    * Wrap long lines in flowed text paragraphs.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 23 Feb 2016 09:28:27 +1100

python-lockfile (1:0.10.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-depends on setuptools (Closes: #789825)

 -- Neil Williams <codehelp@debian.org>  Sat, 20 Feb 2016 22:15:52 +0000
