=== debian/rules ===
#! /usr/bin/make -f

# debian/rules
# Part of Debian ‘python-lockfile’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

export PYBUILD_NAME = lockfile
export PYBUILD_SYSTEM = distutils
export PYBUILD_TEST_NOSE = 1

DOC_SRC_DIR = doc/source
DOC_HTML_DIR = doc/html

GENERATED_FILES += ${DOC_HTML_DIR}

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

SPHINX = sphinx-build
SPHINX_OPTS = -N

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(RM) -r ${GENERATED_FILES}
	dh_auto_clean

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	$(SPHINX) ${SPHINX_OPTS} -bhtml ${DOC_SRC_DIR}/ ${DOC_HTML_DIR}/


# Copyright © 2009–2023 Ben Finney <bignose@debian.org>
#
# This is free software; you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License, version 3 or later.
# No warranty expressed or implied.
# See the file '/usr/share/common-licenses/GPL-3' for details.

# Local variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :
